Event::delTimer
Event::getSupportedMethods
Event
PHP Manual

# Event::free

Make event non-pending and free resources allocated for this event.

### Description

public void Event::free ( void )

Removes event from the list of events monitored by libevent, and free resources allocated for the event.

Warning

The Event::free method currently doesn't destruct the object itself. To destruct the object completely call unset , or assign `NULL`.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### See Also

- Event::__construct